# file written by student in S24

import turtle

def drawflower(t,xpos,ypos,scale):
    t.pu()
    t.setpos(xpos,ypos - 300 * scale)
    t.pd()
    
    #background circle
    t.setheading(0)
    t.circle(300 * scale) 

    t.pu()
    t.setpos(xpos,ypos - 40 * scale)
    t.pd()
    
    #flower bud

    t.fillcolor("#FBE44F")
    t.pd()
    t.begin_fill()
    t.circle(40 * scale) 
    t.end_fill()
    t.fillcolor("#FBE44F")


    # mini bud one
    t.pu()
    t.lt(90)
    t.fd(20 * scale) 
    t.fillcolor("#DFC839")
    t.pd()
    t.begin_fill()
    t.circle(9 * scale) 
    t.end_fill()
    t.fillcolor("#DFC839")


    # mini bud two
    t.pu()
    t.lt(360)
    t.fd(15 * scale) 
    t.fillcolor("#9D8B15")
    t.pd()
    t.begin_fill()
    t.circle(16 * scale) 
    t.end_fill()
    t.fillcolor("#9D8B15")

    #mini bud three
    t.pu()
    t.lt(90)
    t.fd(20 * scale) 
    t.fillcolor("#F9CA58")
    t.pd()
    t.begin_fill()
    t.circle(12 * scale) 
    t.end_fill()
    t.fillcolor("#F9CA58")

    #mini bud four
    t.pu()
    t.lt(180)
    t.fd(30 * scale) 
    t.fillcolor("#9D8B15")
    t.pd()
    t.begin_fill()
    t.circle(5 * scale) 
    t.end_fill()
    t.fillcolor("#9D8B15")

    #mini bud five
    t.pu()
    t.lt(90)
    t.fd(10 * scale) 
    t.setheading(0)
    t.fillcolor("#DFC839")
    t.pd()
    t.begin_fill()
    t.circle(15 * scale) 
    t.end_fill()
    t.fillcolor("#DFC839")


    #mini bud six
    t.pu()
    t.lt(270)
    t.fd(10 * scale) 
    t.fillcolor("#F9CA58")
    t.pd()
    t.begin_fill()
    t.circle(9 * scale) 
    t.end_fill()
    t.fillcolor("#F9CA58")


    #mini bud seven
    t.pu()
    t.fd(15 * scale) 
    t.fillcolor("#9D8B15")
    t.pd()
    t.begin_fill()
    t.circle(5 * scale) 
    t.end_fill()
    t.fillcolor("#9D8B15")

    #petal one (counter clockwise 12)

    t.pu()
    t.lt(180)
    t.fd(60 * scale) 
    t.pd()
    t.fd(60 * scale) 
    t.lt(30)
    t.fd(35 * scale) 
    t.lt(20)
    t.fd(50 * scale) 
    t.lt(30)
    t.fd(20 * scale) 
    t.lt(60)
    t.fd(20 * scale) 
    t.lt(70)
    t.fd(25 * scale) 
    t.pu()

    #petal two (counter clockwise 11)

    t.fd(107 * scale) 
    t.lt(90)
    t.fd(9 * scale) 
    t.lt(90)
    t.pd()
    t.fd(95 * scale) 
    t.lt(40)
    t.fd(37 * scale) 
    t.lt(20)
    t.fd(15 * scale) 
    t.lt(20)
    t.fd(15 * scale) 
    t.lt(75)
    t.fd(20 * scale) 
    t.lt(50)
    t.fd(60 * scale) 
    t.pu()

    #petal three (counter clockwise 10)

    t.fd(100 * scale) 
    t.lt(270)
    t.fd(12 * scale) 
    t.lt(260)
    t.fd(40 * scale) 
    t.pd()
    t.fd(50 * scale) 
    t.lt(30)
    t.fd(60 * scale) 
    t.lt(40)
    t.fd(40 * scale) 
    t.lt(70)
    t.fd(20 * scale) 
    t.lt(50)
    t.fd(20 * scale) 
    t.lt(30)
    t.fd(50 * scale) 
    t.lt(350)
    t.fd(40 * scale) 
    t.lt(20)
    t.fd(12 * scale) 
    t.pu()

    #petal four (counter clockwise 9)

    t.lt(90)
    t.fd(20 * scale) 
    t.lt(90)
    t.fd(88 * scale) 
    t.pd()
    t.lt(10)
    t.fd(40 * scale) 
    t.lt(30)
    t.fd(20 * scale) 
    t.lt(60)
    t.fd(20 * scale) 
    t.lt(70)
    t.fd(40 * scale) 
    t.lt(15)
    t.fd(90 * scale) 
    t.pu()

    #petal five (counter clockwise 8)

    t.lt(270)
    t.fd(1 * scale) 
    t.lt(270)
    t.fd(90 * scale) 
    t.pd()
    t.lt(20)
    t.fd(35 * scale) 
    t.lt(20)
    t.fd(10 * scale) 
    t.lt(40)
    t.fd(10 * scale) 
    t.lt(80)
    t.fd(30 * scale) 
    t.pu()

    #petal six (counter clockwise 7)

    t.lt(30)
    t.fd(102 * scale) 
    t.lt(195)
    t.pd()
    t.fd(50 * scale) 
    t.lt(20)
    t.fd(60 * scale) 
    t.lt(30)
    t.fd(20 * scale) 
    t.lt(30)
    t.fd(20 * scale) 
    t.lt(70)
    t.fd(30 * scale) 
    t.lt(30)
    t.fd(20 * scale) 
    t.lt(30)
    t.fd(95 * scale) 
    t.pu()

    #petal five is open, so this is to fix the missing line

    t.lt(120)
    t.fd(44 * scale) 
    t.pd()
    t.fd(30 * scale) 
    t.lt(15)
    t.fd(44 * scale) 
    t.pu()

    #petal seven (counter clockwise 6)

    t.lt(90)
    t.fd(35 * scale) 
    t.lt(90)
    t.fd(20 * scale) 
    t.lt(160)
    t.pd()
    t.fd(25 * scale) 
    t.lt(320)
    t.fd(20 * scale) 
    t.lt(270)
    t.fd(22 * scale) 
    t.pu()


    #petal eight (counter clockwise 5)

    t.lt(270)
    t.fd(100 * scale) 
    t.lt(90)
    t.fd(100 * scale) 
    t.lt(180)
    t.fd(90 * scale) 
    t.lt(270)
    t.fd(6 * scale) 
    t.lt(140)
    t.pd()
    t.fd(40 * scale) 
    t.lt(30)
    t.fd(20 * scale) 
    t.lt(40)
    t.fd(20 * scale) 
    t.lt(50)
    t.fd(20 * scale) 
    t.lt(40)
    t.fd(50 * scale) 
    t.lt(20)
    t.fd(60 * scale) 


    #petal nine (counter clockwise 4)

    t.lt(200)
    t.fd(60 * scale) 
    t.lt(20)
    t.fd(50 * scale) 
    t.lt(30)
    t.fd(40 * scale) 
    t.lt(30)
    t.fd(20 * scale) 
    t.lt(30)
    t.fd(20 * scale) 
    t.lt(50)
    t.fd(20 * scale) 
    t.pu()

    #petal 10

    t.lt(50)
    t.fd(140 * scale) 
    t.lt(170)
    t.fd(18 * scale) 
    t.pd()
    t.fd(87 * scale) 
    t.lt(30)
    t.fd(30 * scale) 
    t.lt(20)
    t.fd(10 * scale) 
    t.lt(20)
    t.fd(20 * scale) 
    t.lt(60)
    t.fd(10 * scale) 
    t.lt(40)
    t.fd(10 * scale) 
    t.lt(20)
    t.fd(50 * scale) 
    t.lt(20)
    t.fd(73 * scale) 
    t.pu()

    #petal 11

    t.fd(20 * scale) 
    t.lt(270)
    t.fd(30 * scale) 
    t.lt(270)
    t.fd(23 * scale) 
    t.pd()
    t.fd(30 * scale) 
    t.lt(340)
    t.fd(100 * scale) 
    t.lt(330)
    t.fd(18 * scale) 
    t.lt(260)
    t.fd(15 * scale) 
    t.pu()
    t.fd(5 * scale) 
    t.lt(310)
    t.fd(82 * scale) 
    t.pd()
    t.fd(45 * scale) 
    t.pu()

    #petal twelve
    t.fd(15 * scale) 
    t.lt(270)
    t.fd(25 * scale) 
    t.lt(240)
    t.fd(20 * scale) 
    t.lt(60)
    t.fd(11 * scale) 
    t.pd()
    t.fd(70 * scale) 
    t.lt(30)
    t.fd(40 * scale) 
    t.lt(30)
    t.fd(20 * scale) 
    t.lt(50)
    t.fd(20 * scale) 
    t.lt(40)
    t.fd(30 * scale) 
    t.lt(40)
    t.fd(40 * scale) 
    t.lt(30)
    t.fd(81 * scale) 
    t.pu()

    #petal thirteen

    t.fd(10 * scale) 
    t.lt(170)
    t.fd(70 * scale) 
    t.lt(40)
    t.fd(22 * scale) 
    t.pd()
    t.fd(60 * scale) 
    t.lt(20)
    t.fd(20 * scale) 
    t.lt(20)
    t.fd(10 * scale) 
    t.lt(20)
    t.fd(10 * scale) 
    t.lt(80)
    t.fd(10 * scale) 
    t.lt(20)
    t.fd(20 * scale) 
    t.lt(10)
    t.fd(123 * scale) 
    t.pu()
    t.fd(10 * scale) 
    t.lt(140)
    t.fd(10 * scale) 
    t.pd()
    t.fd(37 * scale) 
    t.pu()

    #petal fourteen
    t.lt(120)
    t.fd(35 * scale) 
    t.lt(90)
    t.fd(50 * scale) 
    t.lt(180)
    t.fd(100 * scale) 
    t.lt(30)
    t.fd(11 * scale) 
    t.pd()
    t.fd(40 * scale) 
    t.lt(20)
    t.fd(10 * scale) 
    t.lt(20)
    t.fd(20 * scale) 
    t.lt(30)
    t.fd(10 * scale) 
    t.lt(60)
    t.fd(20 * scale) 
    t.lt(50)
    t.fd(141 * scale) 
    t.pu()

    #petal fifteen

    t.lt(195)
    t.fd(70 * scale) 
    t.lt(35)
    t.fd(25 * scale) 
    t.lt(300)
    t.fd(5 * scale) 
    t.pd()
    t.fd(30 * scale) 
    t.lt(350)
    t.fd(20 * scale) 
    t.lt(350)
    t.fd(20 * scale) 
    t.lt(340)
    t.fd(15 * scale) 
    t.lt(290)
    t.fd(10 * scale) 
    t.lt(300)
    t.fd(15 * scale) 
    t.pu()

    #missing spot

    t.fd(250 * scale) 
    t.lt(10)
    t.fd(50 * scale) 
    t.lt(30)
    t.fd(5 * scale) 
    t.pd()
    t.fd(25 * scale) 
    t.lt(40)
    t.fd(30 * scale) 
    t.lt(20)
    t.fd(20 * scale) 
    t.lt(30)
    t.fd(15 * scale) 
    t.lt(40)
    t.fd(20 * scale) 
    t.lt(40)
    t.fd(15 * scale) 
    t.pu()

    #background petal (5:30)

    t.fd(150 * scale) 
    t.lt(260)
    t.fd(100 * scale) 
    t.lt(340)
    t.fd(30 * scale) 
    t.lt(280)
    t.fd(15 * scale) 
    t.pd()
    t.fd(1 * scale) 
    t.lt(70)
    t.fd(10 * scale) 
    t.lt(345)
    t.fd(10 * scale) 
    t.lt(340)
    t.fd(10 * scale) 
    t.lt(335)
    t.fd(10 * scale) 
    t.lt(340)
    t.fd(5 * scale) 
    t.lt(350)
    t.fd(5 * scale) 
    t.lt(355)
    t.fd(5 * scale) 
    t.lt(350)
    t.fd(5 * scale) 
    t.lt(355)
    t.fd(10 * scale) 
    t.lt(330)
    t.fd(20 * scale) 
    t.lt(320)
    t.fd(25 * scale) 
    t.setheading(0)

def kermit():
    t = turtle
    t.tracer(0)
    drawflower(t,0,0,1)
    drawflower(t,-400,0,.25)
    drawflower(t,400,0,.1)
    t.update()

kermit()






































        







